package org.netkernel.module.standard.endpoint;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.meta.impl.PrototypeParameterMetaImpl;
import org.netkernel.layer0.nkf.NKFException;
import org.netkernel.urii.ISpace;

/** An overlay must have a parameter named "space" that is of type ISpace
 * @author tab
 *
 */
public interface IStandardOverlay
{
	public static final String PARAM_SPACE="space";
	
	public static final String HEADER_REQUESTOR_OVERLAY="REQ_OVERLAY";
	
	public static IPrototypeParameterMeta[] sPrototypeParameters = new IPrototypeParameterMeta[]
   {	new PrototypeParameterMetaImpl(PARAM_SPACE,ISpace.class,IPrototypeParameterMeta.NO_DEFAULT)
  	};	
	
	/** Programmatically set the inner delegated space
	 * @param aDelegateSpace
	 */
	void setDelegateSpace(ISpace aDelegateSpace) throws NKFException;
}
